RTAI on kernel 2.4.17

RTAI on kernel 2.4.17

Post by To » Sun, 03 Mar 2002 08:27:42



Hia..

<Help Needed to resolve the problem>
while doing *make install* the files generated aren't of ELF format

I patched up 2.4.17 kernel, with the patch made available in 24.1.8
RTAI distribution. I experienced no problems in patching and now the
linux
kernel is up, alive and running...

As again, I could compile/build RTAI source by make dep; make
after changing my gcc version from 2.96 to 2.95.xx. Now when i try
to do a make install, i cld observe the errors listed in the bottom of
this post..

Does somebody has a similar problem / waht exactly i shld be doing
to resolve this problem ?

- Thanks

- Tom

---

install -d /lib/modules/2.4.17-rthal5/rtai
install modules/krtnet.o modules/leds_lxrt.o modules/net_rpc.o
modules/rtai_aio.o modules/rtai_fifos.o modules/rtai_libm.o
modules/rtai_lxrt.o modules/rtai.o modules/rtai_pqueue.o
modules/rtai_pthread.o modules/rtai_sched_ext.o
modules/rtai_sched_mup.o modules/rtai_sched_smp_8254.o
modules/rtai_sched_smp.o modules/rtai_shm.o modules/rtai_tasklets.o
modules/rtai_tbx.o modules/rtai_utils.o modules/rtai_watchdog.o
modules/rt_com_lxrt.o modules/rt_com.o modules/rt_mem_mgr.o
modules/rt_new.o /lib/modules/2.4.17-rthal5/rtai
install -m 644 modules/rtaisyms /lib/modules/2.4.17-rthal5/
/sbin/depmod -a
depmod: /lib/modules/2.4.17-rthal5/modules.dep is not an ELF file
depmod: error reading ELF header
/lib/modules/2.4.17-rthal5/modules.generic_string: No such file or
directory
depmod: /lib/modules/2.4.17-rthal5/modules.isapnpmap is not an ELF
file
depmod: error reading ELF header
/lib/modules/2.4.17-rthal5/modules.parportmap: No such file or
directory
depmod: /lib/modules/2.4.17-rthal5/modules.pcimap is not an ELF file
depmod: /lib/modules/2.4.17-rthal5/modules.usbmap is not an ELF file
depmod: /lib/modules/2.4.17-rthal5/rtaisyms is not an ELF file

 
 
 

RTAI on kernel 2.4.17

Post by Robert Schwebe » Mon, 04 Mar 2002 07:49:25



> Does somebody has a similar problem / waht exactly i shld be doing
> to resolve this problem ?

It's not really an error, everything should just work fine. We have seen
the problem while testing for the 24.1.8 release, but there's no easy
solution yet. However, it shouldn't harm in any way.

Robert
--  
 +--------------------------------------------------------+
 | Dipl.-Ing. Robert Schwebel | http://www.pengutronix.de |
 | Pengutronix - Linux Solutions for Science and Industry |
 |   Braunschweiger Str. 79,  31134 Hildesheim, Germany   |
 |    Phone: +49-5121-28619-0 |  Fax: +49-5121-28619-4    |
 +--------------------------------------------------------+

 
 
 

1. some 2.4.17 vs. 2.4.17-rmap8 vs. lowmem analysis


Yes, the rmap patch still has a known livelock. I haven't
quite tracked it down yet, but am looking into it whenever
I have the time.

regards,

Rik
--
Shortwave goes a long way:  irc.starchat.net  #swl

http://www.surriel.com/             http://distro.conectiva.com/

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

2. Apache a proxy for NNTP (news) ?

3. Performance of 2.4.17-based Kernel vs 2.5.26-based Kernel Under Database Workload

4. how to copy tapes over the network?

5. 2.4.17 Kernel Oops

6. Permission denied with NFS directory

7. Oops/Crash with 2.4.17 and 2.4.18 kernels

8. Redhat 6.1 installation bombs

9. Kernel 2.4.17 oops

10. Kernel 2.4.17 - > "Checking root filesystem" error

11. Problem with kernel nfs server in 2.4.17-rc1

12. Unresolved symbols in /lib/modules/misc/zoran.o: 2.4.17 kernel

13. BUG _llseek kernel 2.4.17